#include <iostream>

using namespace std;

void nule(int a[],int n){
    for(int i=0;i<n;i++)
    a[i]=0;
}


struct broj{
    int a;
    int b;
};

void pomeri(int a[],int N,int poz,int &k){
    int i=poz,j=poz;
    while(j>=0&&i<N){
        k++;
        if(a[j]==0){
        a[j]++;
        break;
        }
        if(a[i]==0){
        a[i]++;
        break;
        }
        i++;
        j--;
    }
    a[poz]--;
}

int main()
{
   int N;
   int suma=0;
   cin>>N;
   int a1[N],b1[N];
   nule(a1,N);
   nule(b1,N);
   broj niz[N];
   for(int i=0;i<N;i++){
      cin>>niz[i].a>>niz[i].b;
      a1[niz[i].a]++;
      b1[niz[i].b]++;
   }
   for(int i=0;i<N;i++){
      while(a1[i]>1)
        pomeri(a1,N,i,suma);
      while(b1[i]>1)
        pomeri(b1,N,i,suma);
   }

   cout<<suma;
   return 0;
}